Name: mcrash
URL: http://sourceforge.jp/projects/mcrash/
Version: 1.13
Release: 0
Summary: A kernel memory analyzer.
Summary(ja): ͥΥʥ饤
License: GPL
Source: %{name}-%{version}.tar.gz
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
Requires: readline
BuildRequires: readline-devel
Prefix: /usr/local

%define	_prefix	/usr/local
%define	_bindir	/usr/local/bin
%define	_docdir	/usr/local/share/doc

%description
This is a `crash' program for linux.
mcrash refers kernel memory via /dev/kmem, processes the data and display
it as human readable text.

%prep
%setup -q -n mcrash

%build
#./configure --BATCH --KERNELDIR=/usr/src/linux-2.4
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{_docdir}/*
%{_docdir}/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 1 2003 masano
- add list_head command

* Mon Jul 14 2003 masano
- start 2.6

* Sat Jul 13 2003 masano
- add sighand_struct command

* Sat Jul 12 2003 masano
- add jiffies command

* Sat Jun 28 2003 masano
- add NFS related command

* Fri Jun 20 2003 masano
- add file_lock command

* Sat Jun 14 2003 masano
- add search command

* Sun Jun 1 2003 masano
- add access path via physical memory device (-p /dev/mem)

* Thu Oct 4 2002 masano
- rework trace command (especially for other than i386)

* Thu Sep 19 2002 masano
- update xfs commands for 2.5.36

* Sat Aug 17 2002 masano
- add `socket' and `sock' command

* Mon Aug 8 2002 masano
- fix trace command for sys_poll()
